Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNAConversationTypes

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNAConversationTypes

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNAConversationTypes

extends java.lang.Object

`SNAConversationTypes` class represents all conversation types:

  `CM_BASIC_CONVERSATION`
  `CM_MAPPED_CONVERSATION`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_BASIC_CONVERSATION`
`static int` | `CM_MAPPED_CONVERSATION`

Constructor Summary
`SNAConstants.SNAConversationTypes()`

Method Summary
`static int` | `getCM_BASIC_CONVERSATION()`
`static int` | `getCM_MAPPED_CONVERSATION()`
`static java.lang.String` | `getConversationTypeString(int conversationType)` Returns the conversationType as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_BASIC_CONVERSATION

    public static final int CM_BASIC_CONVERSATION

See Also:
  Constant Field Values

### CM_MAPPED_CONVERSATION

    public static final int CM_MAPPED_CONVERSATION

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNAConversationTypes

    public SNAConstants.SNAConversationTypes()

Method Detail

### getCM_BASIC_CONVERSATION

    public static final int getCM_BASIC_CONVERSATION()

  Returns:
    CM_BASIC_CONVERSATION

### getCM_MAPPED_CONVERSATION

    public static final int getCM_MAPPED_CONVERSATION()

  Returns:
    CM_MAPPED_CONVERSATION

### getConversationTypeString

    public static final java.lang.String getConversationTypeString(int conversationType)

  Returns the conversationType as String

  Parameters:
    `conversationType` - The conversationType in int
  Returns:
    The conversationType as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.